StringContainsInOrder (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.text
Class StringContainsInOrder

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<java.lang.String>
              org.hamcrest.text.StringContainsInOrder

All Implemented Interfaces:
  Matcher<java.lang.String>, SelfDescribing

    public class StringContainsInOrder

extends TypeSafeMatcher<java.lang.String>

Constructor Summary
`StringContainsInOrder(java.lang.Iterable<java.lang.String> substrings)`

Method Summary
`void` | `describeMismatchSafely(java.lang.String item, Description mismatchDescription)` Subclasses should override this.
`void` | `describeTo(Description description)` Generates a description of the object.
`boolean` | `matchesSafely(java.lang.String s)` Subclasses should implement this.
`static Matcher<java.lang.String>` | `stringContainsInOrder(java.lang.Iterable<java.lang.String> substrings)` Creates a matcher of `String` that matches when the examined string contains all of the specified substrings, regardless of the order of their appearance.

Methods inherited from class org.hamcrest.TypeSafeMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringContainsInOrder

    public StringContainsInOrder(java.lang.Iterable<java.lang.String> substrings)

Method Detail

### matchesSafely

    public boolean matchesSafely(java.lang.String s)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeMatcher<java.lang.String>`

### describeMismatchSafely

    public void describeMismatchSafely(java.lang.String item,
                                       Description mismatchDescription)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should override this. The item will already have been checked for the specific type and will never be null.

  Overrides:
    `describeMismatchSafely` in class `TypeSafeMatcher<java.lang.String>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### stringContainsInOrder

    public static Matcher<java.lang.String> stringContainsInOrder(java.lang.Iterable<java.lang.String> substrings)

  Creates a matcher of `String` that matches when the examined string contains all of the specified substrings, regardless of the order of their appearance.

  For example:

      assertThat("myfoobarbaz", stringContainsInOrder(Arrays.asList("bar", "foo")))

  Parameters:
    `substrings` - the substrings that must be contained within matching strings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD